summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/hiera-eyaml/Manifest1
-rw-r--r--dev-ruby/hiera-eyaml/hiera-eyaml-4.3.0.ebuild58
-rw-r--r--dev-ruby/lemon/lemon-0.9.1-r1.ebuild4
-rw-r--r--dev-ruby/rubytest-cli/rubytest-cli-0.2.0-r1.ebuild6
4 files changed, 64 insertions, 5 deletions
diff --git a/dev-ruby/hiera-eyaml/Manifest b/dev-ruby/hiera-eyaml/Manifest
index f1cce5ce6cc5..d0437740b641 100644
--- a/dev-ruby/hiera-eyaml/Manifest
+++ b/dev-ruby/hiera-eyaml/Manifest
@@ -1 +1,2 @@
DIST hiera-eyaml-4.2.0.tar.gz 63656 BLAKE2B a70adb7f8dfce774044275b603b5005a8a70324500d0b4b9c947e8ebfc5d2dd3eef426cc503fef82db60c538a92627e4214df5aa76d658701c22616e1565c8e4 SHA512 870f7967f9723fb4432a01f728edd7b83e667fc35eaed91d6ba9a3cefe1fd9deec9549aa3525c4ad1e06457c0df68d54a428dc961a9f568f2366f080cadfd5dc
+DIST hiera-eyaml-4.3.0.tar.gz 63664 BLAKE2B 889d6e59ce2eee5661973e78f6703bdd4d4f227f065626dd7d18ecb79ba5458e2f038c33119c2018d491bd0762184c0df8a52e7863e8cd5f5b9ca078f1c4a883 SHA512 76ba96c78481a6edfee7960ee946d521c95bfedc733062e24561375afec1776a31876da1af546b3c004cab5304f1a3ef63480a8484edac4fdc264031e7ab09f0
diff --git a/dev-ruby/hiera-eyaml/hiera-eyaml-4.3.0.ebuild b/dev-ruby/hiera-eyaml/hiera-eyaml-4.3.0.ebuild
new file mode 100644
index 000000000000..1ceb831d51aa
--- /dev/null
+++ b/dev-ruby/hiera-eyaml/hiera-eyaml-4.3.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md PLUGINS.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Encrypted YAML backend for hiera"
+HOMEPAGE="https://github.com/voxpupuli/hiera-eyaml"
+SRC_URI="https://github.com/voxpupuli/hiera-eyaml/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+ruby_add_rdepend "
+ dev-ruby/highline:3
+ >=dev-ruby/optimist-3.1:3
+ !<dev-ruby/hiera-eyaml-3.4.0-r1
+"
+
+ruby_add_bdepend "test? (
+ >=dev-util/cucumber-8
+ dev-util/aruba:2
+ dev-ruby/hiera-eyaml-plaintext
+)"
+
+BDEPEND+=" test? ( || ( app-admin/puppet-agent app-admin/puppet ) dev-tcltk/expect )"
+
+all_ruby_prepare() {
+ # Fix highline dependency to be compatible with more versions.
+ sed -i -e '/highline/ s/~>/>=/' \
+ -e '/gem.files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ sed -i -e "s:/tmp:${T}:" \
+ features/sandbox/puppet/environments/local/modules/test/manifests/run.pp \
+ features/sandbox/puppet-hiera-merge/environments/local/modules/test/manifests/run.pp \
+ features/sandbox/puppet-envvar/environments/local/modules/test/manifests/run.pp \
+ features/puppet.feature
+}
+
+each_ruby_prepare() {
+ # Run tests with the correct ruby interpreter
+ sed -i -e 's:I run `eyaml:I run `'${RUBY}' '"${S}"'/bin/eyaml:' features/*.feature || die
+
+}
+
+each_ruby_test() {
+ CUCUMBER_PUBLISH_QUIET=true ${RUBY} -S cucumber --format progress features || die
+}
diff --git a/dev-ruby/lemon/lemon-0.9.1-r1.ebuild b/dev-ruby/lemon/lemon-0.9.1-r1.ebuild
index 65a2732648d8..e2211197579b 100644
--- a/dev-ruby/lemon/lemon-0.9.1-r1.ebuild
+++ b/dev-ruby/lemon/lemon-0.9.1-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
+USE_RUBY="ruby32 ruby33 ruby34"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_RECIPE_DOC="yard"
diff --git a/dev-ruby/rubytest-cli/rubytest-cli-0.2.0-r1.ebuild b/dev-ruby/rubytest-cli/rubytest-cli-0.2.0-r1.ebuild
index bf055dceaded..8b7a88821ecf 100644
--- a/dev-ruby/rubytest-cli/rubytest-cli-0.2.0-r1.ebuild
+++ b/dev-ruby/rubytest-cli/rubytest-cli-0.2.0-r1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
+
+USE_RUBY="ruby32 ruby33 ruby34"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_RECIPE_DOC="yard"
@@ -16,6 +17,5 @@ HOMEPAGE="https://rubyworks.github.io/rubytest-cli/"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
-IUSE=""
ruby_add_rdepend "dev-ruby/ansi >=dev-ruby/rubytest-0.8.0"